org.apache.lucene.analysis.br

## Class BrazilianStemmer

- java.lang.Object
- - org.apache.lucene.analysis.br.BrazilianStemmer

-     public class BrazilianStemmer
      extends java.lang.Object

  A stemmer for Brazilian Portuguese words.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrazilianStemmer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `log()` For log and debug purpose
    `protected java.lang.String` | `stem(java.lang.String term)` Stems the given term to an unique `discriminator`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrazilianStemmer

          public BrazilianStemmer()

  - ### Method Detail

    - #### stem

          protected java.lang.String stem(java.lang.String term)

      Stems the given term to an unique `discriminator`.
      Parameters:
        `term` - The term that should be stemmed.
      Returns:
        Discriminator for `term`

    - #### log

          public java.lang.String log()

      For log and debug purpose
      Returns:
        TERM, CT, RV, R1 and R2

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.